WCSSTR(3)

NAME
wcsstr - locate a wide substring in a wide string

SYNOPSIS
#include <wchar.h>
wchar_t *
wcsstr(const wchar_t *big, const wchar_t *little);

DESCRIPTION
The wcsstr() function locates the first occurrence of the wide string little in the wide string big.

If little is an empty wide string, big is returned; if little occurs nowhere in big, NULL is returned; otherwise a pointer to the first wide character of the first occurrence of little is returned.

SEE ALSO
strstr(3), wcschr(3), wcscspn(3), wcspbrk(3), wcsrchr(3), wcsspn(3), wcstok(3), wmemchr(3)

STANDARDS
The wcsstr() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wcsstr() function was ported from NetBSD and first appeared in OpenBSD 3.8.